Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
tuanpecc1

Dùng lệnh flatten không được

Các bài được khuyến nghị

tuanpecc1    2

Mình dùng lệnh flatten không đưa được đối tượng về z=0, sau đó quay sang dùng lệnh mo để đặt start z và end z = 0 thì được nhưng hơi lâu. Có bạn nào biết thì xin chỉ giáo cho mình nhé. thx

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Mình dùng lệnh flatten không đưa được đối tượng về z=0, sau đó quay sang dùng lệnh mo để đặt start z và end z = 0 thì được nhưng hơi lâu. Có bạn nào biết thì xin chỉ giáo cho mình nhé. thx

Bạn thử khởi động lại ACAD rồi dùng lại xem sao? Vì lệnh FLATTEN đôi khi vẫn bị lỗi như vậy.

 

Bạn có thể dùng lisp SuperIRON của CADViet: http://www.cadviet.com/forum/index.php?s=&...post&p=4779

hoặc lisp ve0 của CADViet: http://www.cadviet.com/forum/index.php?s=&...post&p=4054

 

Nếu khởi động lại ACAD mà vẫn không dùng được, bạn có thể upload file đó lên diễn đàn được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tuanpecc1    2
Bạn thử khởi động lại ACAD rồi dùng lại xem sao? Vì lệnh FLATTEN đôi khi vẫn bị lỗi như vậy.

 

Bạn có thể dùng lisp SuperIRON của CADViet: http://www.cadviet.com/forum/index.php?s=&...post&p=4779

hoặc lisp ve0 của CADViet: http://www.cadviet.com/forum/index.php?s=&...post&p=4054

 

Nếu khởi động lại ACAD mà vẫn không dùng được, bạn có thể upload file đó lên diễn đàn được không?

 

Xin cảm ơn bạn Nguyễn Hoành. Mình khởi động lại cad rồi nhưng vẫn ko dùng flatten được. Mình xin upload file đó lên diễn đàn nhờ bạn và các bạn khác nghiên cứu: http://www.cadviet.com/upfiles/betong.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Xin cảm ơn bạn Nguyễn Hoành. Mình khởi động lại cad rồi nhưng vẫn ko dùng flatten được. Mình xin upload file đó lên diễn đàn nhờ bạn và các bạn khác nghiên cứu: http://www.cadviet.com/upfiles/betong.dwg

Ha ha, hay quá, file của bạn là trường hợp đặc biệt. Lệnh flatten bị lỗi khi chạy với file này.

Command: flatten

Select objects to convert to 2d...

Select objects: all

1074 found

Select objects:

Remove hidden lines? <No>:

Unknown command "FLATTEN". Press F1 for help.

Unknown command "0,0". Press F1 for help.

Unknown command "0,0". Press F1 for help.

bad argument type: numberp: nil

 

Bạn download file SIRON.vlx của CADViet về, appload và dùng lệnh SUPERIRON là OK. File của bạn chắc chắn không thể chạy được bằng lệnh FLATTEN, lý do tại sao thì phải hỏi AutoDesk rồi :unsure: .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bạn ơi cho mình hỏi tí. Mình làm một code nho nhỏ thế này nhưng bị báo lỗi lệnh flatten là sao j các bạn, Mong chỉ giáo:

 

(defun c:gdm1()

(setq then (entsel " Quet doi tuong chon"))

(setq taphop(ssget))

(setq k (sslength taphop))

(setq i 0)

(while (<= i k)

(setq a1 (last (entsel)))

(setq i (+ i 1))

(command "flatten" a1 "" "")

)

(princ)

)

Và lỗi mình nhận được là vậy nè:

 

flatten Unknown command "FLATTEN". Press F1 for help.

 

Command:

Command: _AI_SELALL Unknown command "AI_SELALL". Press F1 for help.

 

Command: _AI_SELALL Unknown command "AI_SELALL". Press F1 for help.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×